For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Creates a *Product Metafield*.
**Required Fields:**
* permission_set
* namespace
* key
* value
**Note:** The maxiumum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see [Platform Limits](https://support.bigcommerce.com/s/article/Platform-Limits) in the Help Center.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
product_idintegerRequired
The ID of the Product to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.
Headers
AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects an object.
keystringRequired1-64 characters
The name of the field, for example: location_id, color. Required for POST.
valuestringRequired1-65535 characters
The value of the field, for example: 1, blue. You must enter a JSON formatted string for ShipperHQ metafields. Required for POST.
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_setenumRequired
Determines the visibility and writeability of the field by other API consumers.
Value
Description
app_only
Private to the app that owns the field
read
Visible to other API consumers
write
Open for reading and writing by other API consumers
read_and_sf_access
Visible to other API consumers, including on storefront
write_and_sf_access
Open for reading and writing by other API consumers, including on storefront
Allowed values:
descriptionstringOptional0-255 characters
Description for the metafields.
Response
OK
dataobjectOptional
metaobjectOptional
Response metadata.
Errors
400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error
Creates a Product Metafield.
Required Fields:
permission_set
namespace
key
value
Note: The maxiumum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.
OAuth scopes
UI Name
Permission
Parameter
Products
modify
store_v2_products
Products
read-only
store_v2_products_read_only
Authentication header
Header
Argument
Description
X-Auth-Token
access_token
For more about API accounts that generate access_tokens, see our Guide to API Accounts.